Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface ProcessControl

All Superinterfaces:
  com.bea.control.Asynchronous, com.bea.control.Control, Serializable, com.bea.control.ServiceProxy

public interface ProcessControl
extends com.bea.control.Control, com.bea.control.ServiceProxy, com.bea.control.Asynchronous

The process control is used to call a sub-process from a parent process. Sub-process callbacks are routed to the caller process. The sub-process must be in the same domain as the caller. The invocation is dispatched internally over RMI without going thru http. If the target process is versioned, the actual version invoked depends on the version strategy of the caller (as specified by the jpd:version annotation). The process control runtime properties can be configured externally through dynamic properties and xquery selectors.

Nested Class Summary

Nested classes inherited from class com.bea.control.Control
`com.bea.control.Control.Callback`

Method Summary
`String` | `getConversationID()` Returns the conversation ID currently associated with this control or null.
`com.bea.wli.control.dynamicProperties.ProcessControlPropertiesDocument` | `getProperties()` Returns the current control properties.
`URI` | `getTargetURI()` Returns the target URI or null if not assigned.
`String` | `getUsername()` Gets credential information.
`void` | `reset()` Resets the conversational state of the proxy; this could result in dropping an existing conversation.
`void` | `setConversationID(String conversationID)` Manual control over conversation ID
`void` | `setPassword(String password)` Sets credential information.
`void` | `setProperties(com.bea.wli.control.dynamicProperties.ProcessControlPropertiesDocument props)` Sets the dynamic properties for the control
`void` | `setTargetURI(URI uri)` Manual control over the target uri.
`void` | `setUsername(String username)` Sets credential information.

Method Detail

### setConversationID

    public void setConversationID(String conversationID)

  Manual control over conversation ID

  Parameters:
    `conversationID` -

### getConversationID

    public String getConversationID()

  Returns the conversation ID currently associated with this control or null.

  Returns:
    conversation id

### setTargetURI

    public void setTargetURI(URI uri)
                      throws ProcessControlException

  Manual control over the target uri.

  Parameters:
    `uri` -
  Throws:
    `ControlException` - if the caller process has "tightly-coupled" versioning semantics.
    `ProcessControlException`

### getTargetURI

    public URI getTargetURI()

  Returns the target URI or null if not assigned.

  Returns:
    target uri

### setUsername

    public void setUsername(String username)

  Sets credential information.

  Parameters:
    `username` -

### setPassword

    public void setPassword(String password)

  Sets credential information.

  Parameters:
    `password` -

### getUsername

    public String getUsername()

  Gets credential information.

  Returns:
    username

### reset

    public void reset()

  Resets the conversational state of the proxy; this could result in dropping an existing conversation.

### setProperties

    public void setProperties(com.bea.wli.control.dynamicProperties.ProcessControlPropertiesDocument props)
                       throws ProcessControlException

  Sets the dynamic properties for the control

  Parameters:
    `props` - the dynamic properties for the control
  Throws:
    `ProcessControlException`

### getProperties

    public com.bea.wli.control.dynamicProperties.ProcessControlPropertiesDocument getProperties()

  Returns the current control properties. Note that this does not include username/password.

  Returns:
    the properties

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD